#include "DBDDesignTunables.h"
#include "EGameType.h"
#include "EGameTypeModifierName.h"

void UDBDDesignTunables::OnPluginDataPathAdded(const FString& dataPath)
{

}

float UDBDDesignTunables::GetTunableValue(FName ID, bool warnIfRowMissing) const
{
	return 0.0f;
}

FString UDBDDesignTunables::GetStringManualTunableValue(FName id, const FString& defaultValue, bool warnIfRowMissing)
{
	return TEXT("");
}

FString UDBDDesignTunables::GetStringGameTypeTunable(EGameType gameType, EGameTypeModifierName tunableName)
{
	return TEXT("");
}

TArray<FString> UDBDDesignTunables::GetStringArrayManualTunableValue(FName id, const TArray<FString>& defaultValue, bool warnIfRowMissing)
{
	return TArray<FString>();
}

int32 UDBDDesignTunables::GetIntGameTypeTunable(EGameType gameType, EGameTypeModifierName tunableName)
{
	return 0;
}

int32 UDBDDesignTunables::GetInt32ManualTunableValue(FName id, const int32 defaultValue, bool warnIfRowMissing)
{
	return 0;
}

float UDBDDesignTunables::GetFloatManualTunableValue(FName id, const float defaultValue, bool warnIfRowMissing)
{
	return 0.0f;
}

float UDBDDesignTunables::GetFloatGameTypeTunable(EGameType gameType, EGameTypeModifierName tunableName)
{
	return 0.0f;
}

bool UDBDDesignTunables::GetBoolManualTunableValue(FName id, const bool defaultValue, bool warnIfRowMissing)
{
	return false;
}

bool UDBDDesignTunables::GetBoolGameTypeTunable(EGameType gameType, EGameTypeModifierName tunableName)
{
	return false;
}

TArray<FString> UDBDDesignTunables::GetArrayGameTypeTunable(EGameType gameType, EGameTypeModifierName tunableName)
{
	return TArray<FString>();
}

UDBDDesignTunables::UDBDDesignTunables()
{

}
